constellation/hack/fetch-broken-e2e/find.sh
Fabian Kammel c35e85b22b Make E2E cleanup easier (#353)
* Make E2E cleanup easier
Signed-off-by: Fabian Kammel <fk@edgeless.systems>
2022-08-10 10:13:18 +02:00

14 lines
280 B
Bash
Executable File

#!/bin/bash
set -euo pipefail
TO_DELETE=$(grep -lr "\"uid\": \"${1}\"" . || true)
if [ -z "$TO_DELETE" ]
then
printf "Unable to find '${1}'\n"
else
printf "Statefile found. You should run:\n\n"
printf "cd %s\n" $TO_DELETE
printf "constellation terminate\n\n"
fi